import request from '/@/utils/request';

//#region ====================== 设备组接口 ======================
/**
 * @summary 获取所有设备组
 */
export const GetAllEquipmentGroup = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/GetByBelongTypeAndBelongID@V1.0',
		method: 'GET',
		data: params,
	});
};

/**
 * @summary 添加一个设备组
 */
export const InsertAEquipmentGroup = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/Insert@V1.0',
		method: 'POST',
		data: params,
	});
};

/**
 * @summary 修改一个设备组记录
 */
export const UpdateAEquipmentGroup = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/Update@V1.0',
		method: 'PUT',
		data: params,
	});
};

/**
 * @summary 删除一条设备组记录
 */
export const DeleteAEquipmentGroup = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/DeleteByID@V1.0',
		method: 'DELETE',
		params: params,
	});
};

/**
 * @summary 修改设备组表格排序码
 */
export const UpdateEquipmentGroupSorter = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/UpdateSorter@V1.0',
		method: 'PUT',
		data: params,
	});
};


/**
 * @summary 更新树排序码（更改父级）
 */
export const UpdateEquipmentGroupTreeSortCode = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/UpdateTreeSortCode@V1.0',
		method: 'PUT',
		data: params,
	});
};



/**
 * @summary 检查是否已存在标记
 */
export const GetIsExistEquipmentGroupTagName = async (params, req: any = request) => {
	return req({
		url: '/Assets/Equipment/Group/IsExistTagName@V1.0',
		method: 'GET',
		params: params,
	});
};
//#endregion
